<?php
require_once "connect.php";

// dados da seção
$id_usuario = 0;
$id = 0;
$st_ativo	= 1;
$ok = true;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}

if(isset($_POST['id'])){
  $id  = $_POST['id'];
}

//Recebendo parametros do Form
$ds_grupo = trim($_POST['ds_grupo']);

// preprarando sql conforme instrução editar, excluir e adicionar
if(isset($_POST['editar'])) {
  //$sql = "update erpc_produtos_grupo set ds_grupo = '$ds_grupo',st_ativo  =  $st_ativo, id_usuario = $id_usuario, dh_alteracao=now()";
  $sql = "update erpc_produtos_grupo set ds_grupo = '$ds_grupo'";
  $sql .= " where id = '$id'";
}else
	if(isset($_POST['excluir'])) {
	//$sql = "update erpc_produtos_grupo set st_ativo = 0, id_usuario = $id_usuario, dh_alteracao=now()";
	$sql = "update erpc_produtos_grupo set st_ativo = 0";
	$sql .= " where id = '$id'";
}else
	if(isset($_POST['adicionar'])) {
	//$sql = "insert into erpc_produtos_grupo ( ds_grupo, st_ativo, id_usuario) values ( '$ds_grupo', $st_ativo, $id_usuario )";
	    $sql = "insert into erpc_produtos_grupo ( ds_grupo, st_ativo) values ( '$ds_grupo', $st_ativo)";
}

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = $errorMsg;
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  header("Location:erpc_produtos_grupo_list.php");
}
?>
